Class HostsListResponse.Builder (1.109.0)

public static final class HostsListResponse.Builder extends GeneratedMessage.Builder<HostsListResponse.Builder> implements HostsListResponseOrBuilder

Protobuf type google.cloud.compute.v1.HostsListResponse

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends Host> values)

public HostsListResponse.Builder addAllItems(Iterable<? extends Host> values)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.Host>
Returns
Type Description
HostsListResponse.Builder

addAllUnreachables(Iterable<String> values)

public HostsListResponse.Builder addAllUnreachables(Iterable<String> values)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
values Iterable<String>

The unreachables to add.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

addItems(Host value)

public HostsListResponse.Builder addItems(Host value)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
value Host
Returns
Type Description
HostsListResponse.Builder

addItems(Host.Builder builderForValue)

public HostsListResponse.Builder addItems(Host.Builder builderForValue)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
builderForValue Host.Builder
Returns
Type Description
HostsListResponse.Builder

addItems(int index, Host value)

public HostsListResponse.Builder addItems(int index, Host value)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameters
Name Description
index int
value Host
Returns
Type Description
HostsListResponse.Builder

addItems(int index, Host.Builder builderForValue)

public HostsListResponse.Builder addItems(int index, Host.Builder builderForValue)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameters
Name Description
index int
builderForValue Host.Builder
Returns
Type Description
HostsListResponse.Builder

addItemsBuilder()

public Host.Builder addItemsBuilder()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
Host.Builder

addItemsBuilder(int index)

public Host.Builder addItemsBuilder(int index)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Host.Builder

addUnreachables(String value)

public HostsListResponse.Builder addUnreachables(String value)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
value String

The unreachables to add.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

addUnreachablesBytes(ByteString value)

public HostsListResponse.Builder addUnreachablesBytes(ByteString value)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
value ByteString

The bytes of the unreachables to add.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

build()

public HostsListResponse build()
Returns
Type Description
HostsListResponse

buildPartial()

public HostsListResponse buildPartial()
Returns
Type Description
HostsListResponse

clear()

public HostsListResponse.Builder clear()
Returns
Type Description
HostsListResponse.Builder
Overrides

clearEtag()

public HostsListResponse.Builder clearEtag()

optional string etag = 3123477;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

clearId()

public HostsListResponse.Builder clearId()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

clearItems()

public HostsListResponse.Builder clearItems()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
HostsListResponse.Builder

clearKind()

public HostsListResponse.Builder clearKind()

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

clearNextPageToken()

public HostsListResponse.Builder clearNextPageToken()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

public HostsListResponse.Builder clearSelfLink()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

clearUnreachables()

public HostsListResponse.Builder clearUnreachables()

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

clearWarning()

public HostsListResponse.Builder clearWarning()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
HostsListResponse.Builder

getDefaultInstanceForType()

public HostsListResponse getDefaultInstanceForType()
Returns
Type Description
HostsListResponse

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getEtag()

public String getEtag()

optional string etag = 3123477;

Returns
Type Description
String

The etag.

getEtagBytes()

public ByteString getEtagBytes()

optional string etag = 3123477;

Returns
Type Description
ByteString

The bytes for etag.

getId()

public String getId()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public Host getItems(int index)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Host

getItemsBuilder(int index)

public Host.Builder getItemsBuilder(int index)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Host.Builder

getItemsBuilderList()

public List<Host.Builder> getItemsBuilderList()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
int

getItemsList()

public List<Host> getItemsList()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
List<Host>

getItemsOrBuilder(int index)

public HostOrBuilder getItemsOrBuilder(int index)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HostOrBuilder

getItemsOrBuilderList()

public List<? extends HostOrBuilder> getItemsOrBuilderList()

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Returns
Type Description
List<? extends com.google.cloud.compute.v1.HostOrBuilder>

getKind()

public String getKind()

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public ByteString getKindBytes()

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getNextPageToken()

public String getNextPageToken()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
String

The nextPageToken.

getNextPageTokenBytes()

public ByteString getNextPageTokenBytes()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
ByteString

The bytes for nextPageToken.

public String getSelfLink()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public ByteString getSelfLinkBytes()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getUnreachables(int index)

public String getUnreachables(int index)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The unreachables at the given index.

getUnreachablesBytes(int index)

public ByteString getUnreachablesBytes(int index)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the unreachables at the given index.

getUnreachablesCount()

public int getUnreachablesCount()

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
int

The count of unreachables.

getUnreachablesList()

public ProtocolStringList getUnreachablesList()

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
ProtocolStringList

A list containing the unreachables.

getWarning()

public Warning getWarning()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning

The warning.

getWarningBuilder()

public Warning.Builder getWarningBuilder()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning.Builder

getWarningOrBuilder()

public WarningOrBuilder getWarningOrBuilder()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
WarningOrBuilder

hasEtag()

public boolean hasEtag()

optional string etag = 3123477;

Returns
Type Description
boolean

Whether the etag field is set.

hasId()

public boolean hasId()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public boolean hasKind()

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasNextPageToken()

public boolean hasNextPageToken()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
boolean

Whether the nextPageToken field is set.

public boolean hasSelfLink()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasWarning()

public boolean hasWarning()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
boolean

Whether the warning field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(HostsListResponse other)

public HostsListResponse.Builder mergeFrom(HostsListResponse other)
Parameter
Name Description
other HostsListResponse
Returns
Type Description
HostsListResponse.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public HostsListResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
HostsListResponse.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public HostsListResponse.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
HostsListResponse.Builder
Overrides

mergeWarning(Warning value)

public HostsListResponse.Builder mergeWarning(Warning value)

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
HostsListResponse.Builder

removeItems(int index)

public HostsListResponse.Builder removeItems(int index)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HostsListResponse.Builder

setEtag(String value)

public HostsListResponse.Builder setEtag(String value)

optional string etag = 3123477;

Parameter
Name Description
value String

The etag to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setEtagBytes(ByteString value)

public HostsListResponse.Builder setEtagBytes(ByteString value)

optional string etag = 3123477;

Parameter
Name Description
value ByteString

The bytes for etag to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setId(String value)

public HostsListResponse.Builder setId(String value)

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value String

The id to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setIdBytes(ByteString value)

public HostsListResponse.Builder setIdBytes(ByteString value)

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value ByteString

The bytes for id to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setItems(int index, Host value)

public HostsListResponse.Builder setItems(int index, Host value)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameters
Name Description
index int
value Host
Returns
Type Description
HostsListResponse.Builder

setItems(int index, Host.Builder builderForValue)

public HostsListResponse.Builder setItems(int index, Host.Builder builderForValue)

A list of host resources.

repeated .google.cloud.compute.v1.Host items = 100526016;

Parameters
Name Description
index int
builderForValue Host.Builder
Returns
Type Description
HostsListResponse.Builder

setKind(String value)

public HostsListResponse.Builder setKind(String value)

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Parameter
Name Description
value String

The kind to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setKindBytes(ByteString value)

public HostsListResponse.Builder setKindBytes(ByteString value)

The type of resource. Always compute#host for a list of hosts.

optional string kind = 3292052;

Parameter
Name Description
value ByteString

The bytes for kind to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setNextPageToken(String value)

public HostsListResponse.Builder setNextPageToken(String value)

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value String

The nextPageToken to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setNextPageTokenBytes(ByteString value)

public HostsListResponse.Builder setNextPageTokenBytes(ByteString value)

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value ByteString

The bytes for nextPageToken to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

public HostsListResponse.Builder setSelfLink(String value)

The server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value String

The selfLink to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setSelfLinkBytes(ByteString value)

public HostsListResponse.Builder setSelfLinkBytes(ByteString value)

The server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value ByteString

The bytes for selfLink to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setUnreachables(int index, String value)

public HostsListResponse.Builder setUnreachables(int index, String value)

Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameters
Name Description
index int

The index to set the value at.

value String

The unreachables to set.

Returns
Type Description
HostsListResponse.Builder

This builder for chaining.

setWarning(Warning value)

public HostsListResponse.Builder setWarning(Warning value)

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
HostsListResponse.Builder

setWarning(Warning.Builder builderForValue)

public HostsListResponse.Builder setWarning(Warning.Builder builderForValue)

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
builderForValue Warning.Builder
Returns
Type Description
HostsListResponse.Builder